#!/usr/bin/env node
"use strict";
exports.__esModule = true;
var compiler_js_1 = require("../dist/compiler.js");
var fs = require('fs');
var files = fs.readdirSync('./src/');
var _loop_1 = function (i) {
    var filename = files[i];
    var ext = filename.split('.').pop();
    if (ext === 'm') {
        var s = fs.readFileSync('./src/' + filename, 'utf8');
        s = compiler_js_1.compile(s, true);
        fs.writeFile("./dist/" + filename.split('.')[0] + ".js", s, function (err) {
            if (err) {
                return console.log(err);
            }
            console.log("compiled " + filename);
        });
    }
};
for (var i = 0; i < files.length; i++) {
    _loop_1(i);
}
