#!/usr/bin/env node

import { compile }  from '../dist/compiler.js'

declare var require: any
var fs = require('fs');

var files = fs.readdirSync('./src/');

for(let i = 0; i < files.length; i++) {
    let filename = files[i];
    let ext = filename.split('.').pop();
    if(ext === 'm') {
        let s = fs.readFileSync('./src/' + filename,'utf8');
        s = compile(s, true);

        fs.writeFile("./dist/" + filename.split('.')[0] + ".js", s, function(err) {
            if(err) {
                return console.log(err);
            }
        
            console.log("compiled " + filename);
        }); 

    }
}