"use strict";
exports.__esModule = true;
var tokenizer_js_1 = require("./front/tokenizer/tokenizer.js");
var parser_js_1 = require("./front/parser/parser.js");
var transformer_js_1 = require("./middle/transformer/transformer.js");
var generator_js_1 = require("./middle/generator/generator.js");
function compile(s, mod) {
    if (mod === void 0) { mod = false; }
    var tokens = tokenizer_js_1.tokenize(s);
    var ast = parser_js_1.parse(tokens);
    ast = transformer_js_1.transform(ast);
    s = generator_js_1.generate(ast, [], mod);
    console.log(s);
    return s;
}
exports.compile = compile;
function interpret(s) {
    return eval(compile(s, false));
}
exports.interpret = interpret;
//# sourceMappingURL=compiler.js.map